Skip to main content
POST
Fetch Cluster Analysis

Description

Get analysis data for questions using clusters.

Payload

where:
  • fromDate: start date in ISO format. Required.
  • toDate: end date in ISO format. Required.
  • filter: array of filters to filter the responses. Optional.
  • groups: Object indexed by question id with a q as prefix. Every key has assigned an array with the question ids with q prefix that are the same question through different concepts inside a concept test. Only needed for projects with Concept Test or Question Loops. Optional.
  • clusterOptions: Object indexed by cluster name. Every cluster has an array with the same structure as filter. If not passed there won’t be any responses as result. Optional.

Response

200 OK

where:
  • projectId: unique identifier of the project.
  • fromDate: start date received as param to the query in ISO format.
  • toDate: end date received as param to the query in ISO format.
  • dateFilters: Array of date filters used for querying the responses.
  • filter: Array of filters sent in the request.
  • responses: object mapping unique question identifiers to cluster analysis data for every question.

400 Bad Request

Missing or invalid projectId/fromDate/toDate fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Fetch Cluster Analysis

The response is of type object.